#ifndef sdm230m_registers_h
#define sdm230m_registers_h

#define SMD230M_NRVAL 24


// 24 Messwerte
static sdm_registers_t sdm230m_registers[] = {
	{ "L-N Voltage",				"V"	,   0 },
	{ "Current",					"A"	,   6 },
	{ "Power",					"W"	,  12 },
	{ "Apparent Power",				"VA"	,  18 },
	{ "Reactive Power",				"VAr"	,  24 },
	{ "Power Factor",				"1"	,  30 },
	{ "Phase Angle",				"°"	,  36 },
	{ "Frequency",					"Hz"	,  70 },
	{ "Energy Import",				"kWh"	,  72 },
	{ "Energy Export",				"kWh"	,  74 },
	{ "Reactive Energy Import",			"kVArh"	,  76 },
	{ "Reactive Energy Export",			"kVArh"	,  78 },
	{ "Total Power Demand",				"W"	,  84 },
	{ "Total Power Demand (Max)",			"W"	,  86 },
	{ "Current Power Demand (Import)",		"W"	,  88 },
	{ "Max Power Demand (Import)",			"W"	,  90 },
	{ "Current Power Demand (Export)",		"W"	,  92 },
	{ "Max Power Demand (Export)",			"W"	,  94 },
	{ "L Current Demand",				"A"	, 258 },
	{ "L Current Demand (Max)",			"A"	, 264 },
	{ "Total Energy",				"kWh"	, 342 },
	{ "Total Reactive Energy",			"kVArh"	, 344 },
	{ "Total Energy (resettable)",			"kWh"	, 384 },
	{ "Total Reactive Energy (resettable)",		"kVArh"	, 386 },
	{ NULL,						NULL	,   0 }
};
#endif
